Package org.zkoss.zkex.theme

## Class StandardThemeProvider

- java.lang.Object
- - org.zkoss.zul.theme.StandardThemeProvider
  - - org.zkoss.zkex.theme.StandardThemeProvider

- All Implemented Interfaces:
    `ThemeProvider`
  Direct Known Subclasses:
    `StandardThemeProvider`

      public class StandardThemeProvider
      extends StandardThemeProvider

  A standard implementation of ThemeProvider for ZK PE, which works with the Breeze series themes
  Since:
    6.5.2
  Author:
    Neil

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.zkoss.zk.ui.util.ThemeProvider

      `ThemeProvider.Aide`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zul.theme.StandardThemeProvider

      `DEFAULT_WCS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StandardThemeProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `beforeWidgetCSS​(Execution exec, java.lang.String uri)` | Called when a WCS (Widget CSS descriptor) file is about to load the CSS file associated with a widget.

    - ### Methods inherited from class org.zkoss.zul.theme.StandardThemeProvider

      `beforeWCS, getThemeFileSuffix, getThemeURIs, getWCSCacheControl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardThemeProvider

          public StandardThemeProvider()

  - ### Method Detail

    - #### beforeWidgetCSS

          public java.lang.String beforeWidgetCSS​(Execution exec,
                                                  java.lang.String uri)

      Description copied from interface: `ThemeProvider`
      Called when a WCS (Widget CSS descriptor) file is about to load the CSS file associated with a widget. This method then returns the real URI of the WCS file to load. If no need to change, just return the `uri` parameter.

      This method is usually overridden to load the CSS files from a different directory. For example,

          String beforeWidgetCSS(Execution exec, String uri) {
            return uri.startsWith("~./") ? "~./foo/" + uri.substring(3): uri;
          }

      Specified by:
        `beforeWidgetCSS` in interface `ThemeProvider`
      Overrides:
        `beforeWidgetCSS` in class `StandardThemeProvider`
      Parameters:
        `exec` - the current execution (never null), where you can retrieve the request ad response. However, unlike `ThemeProvider.getThemeURIs(org.zkoss.zk.ui.Execution, java.util.List<java.lang.Object>)`, the desktop might not be available when this method is called.
        `uri` - the URI of the CSS file associated with a widget, e.g., ~./js/zul/wgt/css/a.css.dsp
      Returns:
        the real URI of the CSS file to load If null is returned, the CSS file is ignored.